org.keycloak.dom.xmlsec.w3.xmldsig

## Class RetrievalMethodType

- java.lang.Object
- - org.keycloak.dom.xmlsec.w3.xmldsig.RetrievalMethodType

-     public class RetrievalMethodType
      extends Object

  Java class for RetrievalMethodType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RetrievalMethodType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}Transforms" minOccurs="0"/>
             </sequence>
             <attribute name="URI" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
             <attribute name="Type" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TransformsType` | `transforms`
    `protected String` | `type`
    `protected String` | `uri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RetrievalMethodType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransformsType` | `getTransforms()` Gets the value of the transforms property.
    `String` | `getType()` Gets the value of the type property.
    `String` | `getURI()` Gets the value of the uri property.
    `void` | `setTransforms(TransformsType value)` Sets the value of the transforms property.
    `void` | `setType(String value)` Sets the value of the type property.
    `void` | `setURI(String value)` Sets the value of the uri property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### transforms

          protected TransformsType transforms

    - #### uri

          protected String uri

    - #### type

          protected String type

  - ### Constructor Detail

    - #### RetrievalMethodType

          public RetrievalMethodType()

  - ### Method Detail

    - #### getTransforms

          public TransformsType getTransforms()

      Gets the value of the transforms property.
      Returns:
        possible object is `TransformsType`

    - #### setTransforms

          public void setTransforms(TransformsType value)

      Sets the value of the transforms property.
      Parameters:
        `value` - allowed object is `TransformsType`

    - #### getURI

          public String getURI()

      Gets the value of the uri property.
      Returns:
        possible object is `String`

    - #### setURI

          public void setURI(String value)

      Sets the value of the uri property.
      Parameters:
        `value` - allowed object is `String`

    - #### getType

          public String getType()

      Gets the value of the type property.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2020 JBoss by Red Hat. All rights reserved.